/* ====================================================================
 * Copyright (c) 2003-2007, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_BLAMELINELVI_H
#define _SC_BLAMELINELVI_H

// sc
#include "svn/BlameLineTypes.h"

// qt
#include <Qt3Support/Q3ListViewItem>


class BlameLineLvi : public Q3ListViewItem
{
  typedef Q3ListViewItem super;

public:
  BlameLineLvi( Q3ListView* parent, svn::BlameLinePtr line );
  virtual ~BlameLineLvi();

  QString text( int column ) const;
  QString key( int column, bool ascending ) const;
  int compare( Q3ListViewItem * i, int col, bool ascending ) const;

private:
  svn::BlameLinePtr _line;
};

#endif // _SC_BLAMELINELVI_H
